Google uses AI technology to translate content into your preferred language. AI translations can contain errors.
Method: networks.vehicles.makeAvailable
使用集合让一切井井有条
根据您的偏好保存内容并对其进行分类。
HTTP 请求
POST https://middlemileoptimization.googleapis.com/v1/{name=networks/*/vehicles/*}:makeAvailable
网址采用 gRPC 转码语法。
路径参数
| 参数 |
name |
string
必需。要提供的车辆的名称。格式:“networks/{network}/vehicle/{vehicle}”
|
请求正文
请求正文中包含结构如下的数据:
| JSON 表示法 |
{
"availabilityStarts": [
{
object (DateTime)
}
]
} |
| 字段 |
availabilityStarts[] |
object (DateTime)
必需。可供使用的时间段。它们必须是未来的时间点。如果没有此字段,则从收到邮件时开始计算空闲状态。
|
响应正文
vehicles.makeAvailable 方法的响应消息。
如果成功,响应正文将包含结构如下的数据:
| JSON 表示法 |
{
"name": string,
"path": [
{
object (Path)
}
]
} |
| 字段 |
name |
string
库存状况已更新的车辆的名称。格式:“networks/{network}/vehicles/{vehicle}”
|
path[] |
object (Path)
已更新的路径。
|
如未另行说明,那么本页面中的内容已根据知识共享署名 4.0 许可获得了许可,并且代码示例已根据 Apache 2.0 许可获得了许可。有关详情,请参阅 Google 开发者网站政策。Java 是 Oracle 和/或其关联公司的注册商标。
最后更新时间 (UTC):2024-08-23。
[[["易于理解","easyToUnderstand","thumb-up"],["解决了我的问题","solvedMyProblem","thumb-up"],["其他","otherUp","thumb-up"]],[["没有我需要的信息","missingTheInformationINeed","thumb-down"],["太复杂/步骤太多","tooComplicatedTooManySteps","thumb-down"],["内容需要更新","outOfDate","thumb-down"],["翻译问题","translationIssue","thumb-down"],["示例/代码问题","samplesCodeIssue","thumb-down"],["其他","otherDown","thumb-down"]],["最后更新时间 (UTC):2024-08-23。"],[],["A `POST` request to `https://middlemileoptimization.googleapis.com/v1/{name=networks/*/vehicles/*}:makeAvailable` makes a vehicle available. The `name` parameter specifies the vehicle. The request body, `availabilityStarts`, defines future start times for availability; absence defaults to immediate availability. The response includes the vehicle's `name` and the updated `path`.\n"]]